Subject: FW: New instrument type code from ENPower
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 16 Oct 2001 15:56:02 -0700 (PDT)

Norman,
Please be tuned into this concern
Thanks,
Frank

 -----Original Message-----
From: 	Ramesh, Ganapathy  
Sent:	Tuesday, October 16, 2001 4:42 PM
To:	Hayden, Frank; Hu, Wei
Subject:	RE: New instrument type code from ENPower

Frank,
Just wanted to let you know that at some point in time(not too long), this process of us changing the instrument type codes to manage upstream changes to instrument type codes will fail. This change must be handled by EnPower and given to RisktRAC. This way, we do not have to be concerned when new instrument type code changes are introduced. Since the interface of exchanging data is then owned by the upstream system, any changes happening in the calc programs will simultaneously affect the interface and the change will be made at that point. This will also be an incentive for upstream users to be more aware of the changes. We can concentrate on providing better quality reports and give the time to clean up our reporting and database efficiency. Otherwise, I have the team changing our programs to keep up with upstream system feeds.

Regards,
Ganapathy Ramesh

 -----Original Message-----
From: 	Hayden, Frank  
Sent:	Tuesday, October 16, 2001 4:07 PM
To:	Hu, Wei; Ramesh, Ganapathy
Subject:	FW: New instrument type code from ENPower

She's okay, I'm okay
Pizza tomm.

 -----Original Message-----
From: 	White, Stacey W.  
Sent:	Tuesday, October 16, 2001 9:05 AM
To:	Hayden, Frank
Subject:	RE: New instrument type code from ENPower

yes

 -----Original Message-----
From: 	Hayden, Frank  
Sent:	Wednesday, October 10, 2001 6:48 PM
To:	White, Stacey W.
Subject:	FW: New instrument type code from ENPower

Are you okay with this?

 -----Original Message-----
From: 	Hu, Wei  
Sent:	Wednesday, October 10, 2001 5:29 PM
To:	Hayden, Frank
Cc:	Ramesh, Ganapathy
Subject:	New instrument type code from ENPower

Frank,

We were just informed by Norman Lee's group that ENPower is going to put out a new instrument type code called 'TRANSMISSION' and it basically is a kind of SPREADOPTION, so we will modify the code and capture them as SPREADOPTION.

Also we were told that we should handle one existing instrument type code INDEX-OPTION as SPREADOPTION too.  INDEX-OPTION has been captured as OPTION so far.  We will also make the code change for this.

Anytime when ENPower introduces new instrument type code in the future, we need to be informed because there are 15 - 20 instruemnt type codes existing in ENPower system and we need to convert them into one of the six instrument type codes in RisktRAC.

I am going to make the changes tomorrow.

Regards,

Wei